%global momorel 2

Name:           perl-DateTimeX-Easy
Version:        0.087
Release:        %{momorel}m%{?dist}
Summary:        Parse a date/time string using the best method available
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/DateTimeX-Easy/
#Source0:        http://www.cpan.org/modules/by-module/DateTimeX/DateTimeX-Easy-%{version}.tar.gz
#NoSource:       0
Source0:        DateTimeX-Easy-0.087.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-DateTime
BuildRequires:  perl-DateTime-Format-DateManip
BuildRequires:  perl-DateTime-Format-DateParse
BuildRequires:  perl-DateTime-Format-Flexible
BuildRequires:  perl-DateTime-Format-ICal
BuildRequires:  perl-DateTime-Format-Natural
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Test-Most
Requires:       perl(DateTime)
Requires:       perl(DateTime::Format::DateManip)
Requires:       perl(DateTime::Format::DateParse)
Requires:       perl(DateTime::Format::Flexible)
Requires:       perl(DateTime::Format::ICal)
Requires:       perl(DateTime::Format::Natural)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:       perl(DateTimeX::Easy::DateParse) = %{version}

%description
DateTimeX::Easy makes DateTime object creation quick and easy. It uses a
variety of DateTime::Format packages to do the bulk of the parsing, with
some custom tweaks to smooth out the rough edges (mainly concerning
timezone detection and selection).

%prep
%setup -q -n DateTimeX-Easy-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

rm -f %{buildroot}%{perl_vendorlib}/DateTimeX/_test.pl

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/DateTimeX/Easy*
%{_mandir}/man3/*

%changelog
* Mon Jun 01 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.087-2m)
- modify BuildRequires

* Sat May 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.087-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
- update to git 804800d5cc5be9113e471585d70db7baea7ec760
